Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Class ConfigurableQuorumPolicy.MembershipQuorumPolicy.QuorumListener

`java.lang.Object
com.tangosol.net.ConfigurableQuorumPolicy.MembershipQuorumPolicy.QuorumListener`

All Implemented Interfaces:
  MemberListener, SynchronousListener, java.util.EventListener

Enclosing class:
  ConfigurableQuorumPolicy.MembershipQuorumPolicy

      protected class ConfigurableQuorumPolicy.MembershipQuorumPolicy.QuorumListener

extends java.lang.Object
implements MemberListener, SynchronousListener

QuorumListener is used to subscribe the quorum policy to receive service membership events.

Constructor Summary
`protected` | `ConfigurableQuorumPolicy.MembershipQuorumPolicy.QuorumListener()`

Method Summary
`void` | `memberJoined(MemberEvent evt)` Invoked when a Member has joined the service.
`void` | `memberLeaving(MemberEvent evt)` Invoked when a Member is leaving the service.
`void` | `memberLeft(MemberEvent evt)` Invoked when a Member has left the service.

Constructor Detail

### ConfigurableQuorumPolicy.MembershipQuorumPolicy.QuorumListener

    protected ConfigurableQuorumPolicy.MembershipQuorumPolicy.QuorumListener()

Method Detail

### memberJoined

    public void memberJoined(MemberEvent evt)

  Invoked when a Member has joined the service. Note: this event could be called during the service restart on the local node (`evt.isLocal()`) in which case the listener's code should not attempt to use any clustered cache or service functionality. The most critical situation arises when a number of threads are waiting for a local service restart, being blocked by a Service object synchronization monitor. Since the Joined event should be fired only once, it is called on an event dispatcher thread while holding a synchronization monitor. An attempt to use other clustered service functionality during this local event notification may result in a deadlock.
  Specified by:
    `memberJoined` in interface `MemberListener`
  Parameters:
    `evt` - the MemberEvent.MEMBER_JOINED event

### memberLeaving

    public void memberLeaving(MemberEvent evt)

  Invoked when a Member is leaving the service.
  Specified by:
    `memberLeaving` in interface `MemberListener`
  Parameters:
    `evt` - the MemberEvent.MEMBER_LEAVING event

### memberLeft

    public void memberLeft(MemberEvent evt)

  Invoked when a Member has left the service. Note: this event could be called during the service restart on the local node (`evt.isLocal()`) in which case the listener's code should not attempt to use any clustered cache or service functionality.
  Specified by:
    `memberLeft` in interface `MemberListener`
  Parameters:
    `evt` - the MemberEvent.MEMBER_LEFT event

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.